## mpich 1.1.0

=== Makefile ===
# Generated automatically from Makefile.in by configure.
##### User configurable options #####
# This is an example Makefile.in (or Makefile configured with mpireconfig)
# for the programs cpi, systest, and cpilog.  

ARCH        = rs6000
COMM        = ch_p4
INSTALL_DIR = /usr/local/mpi/mpich
CC          = xlC
F77         = xlf
CLINKER     = xlC
FLINKER     = xlf
OPTFLAGS    = -O2
#
LIB_PATH    = -L$(INSTALL_DIR)/lib/$(ARCH)/$(COMM)
FLIB_PATH   = -L/usr/local/mpi/mpich/lib/rs6000/ch_p4
LIB_LIST    = -lmpi -lbsd
#
INCLUDE_DIR =  -I$(INSTALL_DIR)/include

### End User configurable options ###

CFLAGS  =  -D_ALL_SOURCE -DFORTRANNOUNDERSCORE  -DMPE_USE_EXTENSIONS=1 -D_ALL_SOURCE=1 -DHAS_XDR=1 -DSTDC_HEADERS=1  -DHAVE_STDLIB_H=1 -DMALLOC_RET_VOID=1 -DHAVE_SYSTEM=1 -DHAVE_NICE=1 -DHAVE_LONG_DOUBLE=1 -DHAVE_LONG_LONG_INT=1 $(OPTFLAGS) $(INCLUDE_DIR) -DMPI_$(ARCH)
FFLAGS =  $(INCLUDE_DIR) $(OPTFLAGS)
LIBS = $(LIB_PATH) $(LIB_LIST)
FLIBS = $(FLIB_PATH) $(LIB_LIST)
EXECS = cpi cpilog flip fpi systest

default: systest

all: $(EXECS)

cpi: cpi.o $(INSTALL_DIR)/include/mpi.h
	$(CLINKER) $(OPTFLAGS) -o cpi cpi.o \
	$(LIB_PATH) $(LIB_LIST) -lm

cpilog: cpilog.o $(INSTALL_DIR)/include/mpi.h $(INSTALL_DIR)/include/mpe.h
	$(CLINKER) $(OPTFLAGS) -o cpilog cpilog.o \
	$(LIB_PATH) -lmpe $(LIB_LIST) -lm

flip: flip.o $(INSTALL_DIR)/include/mpif.h
	$(FLINKER) $(OPTFLAGS) -o flip flip.o \
	$(LIB_PATH) $(LIB_LIST) -lm

fpi: fpi.o $(INSTALL_DIR)/include/mpif.h
	$(FLINKER) $(OPTFLAGS) -o fpi fpi.o \
	$(LIB_PATH) $(LIB_LIST) -lm

systest: systest.o $(INSTALL_DIR)/include/mpif.h
	$(FLINKER) $(OPTFLAGS) -o systest systest.o $(FLIBS)

alternate:
	@echo "Use mpif77 and mpicc to build the programs"
	@echo "Note the use of an explicit path for the mpif77 and mpicc"
	@echo "commands; this allows multiple versions/devices to"
	@echo "coexist."
	$(INSTALL_DIR)/lib/$(ARCH)/$(COMM)/mpif77 -o systest systest.f
	$(INSTALL_DIR)/lib/$(ARCH)/$(COMM)/mpicc -o cpi cpi.c
	$(INSTALL_DIR)/lib/$(ARCH)/$(COMM)/mpicc -o cpilog2 -mpitrace cpi.c


clean:
	/bin/rm -f *.o *~ PI* $(EXECS)

.c.o:
	$(CC) $(CFLAGS) -c $*.c
.f.o:
	$(F77) $(FFLAGS) -c $*.f

## mpich 1.2.5.3

=== mpe/slog_api/doc/Makefile ===
#  Output Directory

MAN_DIR  = ./man/man3
HTML_DIR = ./html

#  Input Directory

SRC_DIR  = ../src

.SUFFIXES:	.c .txt

#  Name of the sources
API_SRC = slog_header.c slog_pstat.c slog_preview.c slog_profile.c \
          slog_ttable.c slog_recdefs.c \
          fbuf.c slog_impl.c \
          slog_irec_common.c slog_irec_write.c slog_irec_read.c
INC_TXT = slog_return_status.txt slog_recdefs_extra.txt slog_profile_extra.txt

#  The following statements require GNU make.
REAL_SRC = $(API_SRC:%.c=$(SRC_DIR)/%.c)
REAL_TXT = $(INC_TXT:%.txt=$(SRC_DIR)/%.txt)

#  The utilities property
DOCTEXT = ./doctext
DOC_OPT = -heading SLOG_API

all:	man html

man:	FORCE 
	if [ ! -d $(MAN_DIR) ] ; then \
		mkdir -p $(MAN_DIR) ; fi
	$(DOCTEXT) -mpath $(MAN_DIR) $(DOC_OPT) $(REAL_TXT) $(REAL_SRC)
FORCE:

html:	FORCE
	if [ ! -d $(HTML_DIR) ] ; then \
		mkdir -p $(HTML_DIR) ; fi
	$(DOCTEXT) -html -mpath $(HTML_DIR) $(DOC_OPT) \
	           -index $(HTML_DIR)/libslog.cit -indexdir $(HTML_DIR) \
	           $(REAL_TXT) $(REAL_SRC)
FORCE:

clean:
	rm -f $(MAN_DIR)/*.3 $(HTML_DIR)/*.html $(HTML_DIR)/*.cit

=== mpe/slog2sdk/doc/jumpshot-4/tex/Makefile ===
TARGET     = usersguide
HTML_DIR   = ../html

# This Makefile requires the following tools:
# LYX pdflatex, latex2html
LYX        = lyx
PDFLATEX   = pdflatex
LATEX2HTML = /usr/local/bin/latex2html

# basic Unix command
CP         = /bin/cp
MV         = /bin/mv
RM         = /bin/rm

.SUFFIXES:	.lyx .tex .pdf

#  Generate TEX file from LYX file.
.lyx.tex:
	$(LYX) --export latex $<

#  Generate PDF file from TEX file. Parse it twice to make figure number correct
.tex.pdf:
	$(PDFLATEX) $< ; $(PDFLATEX) $< ; $(PDFLATEX) $<

#  Clean up, Update txt file, Generate PDF file, then html files.
all:	clean html

#  Update the $(TARGET).txt in the top directory
txt:	$(TARGET).txt
	$(CP) -f -a $(TARGET).txt ../..

#  Latex2html on the *.tex file generated from lyx.
html:	$(TARGET).pdf
	$(RM) -f $(HTML_DIR)/* ; \
	$(LATEX2HTML) -mkdir -dir $(HTML_DIR) -noaddress -show_section_numbers \
	              -no_footnode -nonumbered_footnotes -local_icons \
	              $(TARGET).tex

clean:
	for ext in out toc aux dvi log ; do \
	    $(RM) -f $(TARGET).$$ext ; \
	done
	$(RM) -f $(TARGET).pdf

distclean: clean

## mpich 1.2.7

=== mpe/slog2sdk/ac_javatest/Makefile ===

# JAVA_HOME = /pkgs/lang/java/jdk117_v3
# JAVA_HOME = /pkgs/lang/java/jdk1.3.1
JAVA_HOME = /pkgs/lang/java/j2sdk1.4.2
SHELL     = /bin/sh
JC        = $(JAVA_HOME)/bin/javac
JVM       = $(JAVA_HOME)/bin/java
JFLAGS    =
JAR       = $(JAVA_HOME)/bin/jar
RM        = /bin/rm -f

JSRC      = simple.java simple_swing.java
JCLS      = $(JSRC:.java=.class)
JJAR      = $(JCLS:.class=.jar)

.SUFFIXES:      .java .class .jar

.java.class:
	$(JC) $(JFLAGS) $<

.class.jar:
	$(RM) simple.manifest ; \
	echo "Main-Class: $*" > simple.manifest ; \
	$(JAR) cvfm $@ simple.manifest $< ; \
	$(RM) simple.manifest

ALL: $(JCLS) $(JJAR) test_class test_jar

test_class:
	@echo "Testing class file" ; \
	 for class in *.class ; do \
	    if [ -f $$class ] ; then \
	        classname="`echo $$class|sed -e 's%\(.*\).class%\1%'`" ; \
	        $(RM) $$classname.log ; \
	        cmd='$(JVM) $$classname > $$classname.log 2>&1' ; \
	        if eval $$cmd ; then \
	            echo "	$$class is working" ; \
	        else \
	            echo "	$$class is NOT working" ; \
	        fi ; \
	    fi ; \
	 done

test_jar:
	@echo "Testing jar file" ; \
	 for jar in *.jar ; do \
	    if [ -f $$jar ] ; then \
	        $(RM) $$jar.log ; \
	        cmd='$(JVM) -jar $$jar > $$jar.log 2>&1' ; \
	        if eval $$cmd ; then \
	            echo "	$$jar is working" ; \
	        else \
	            echo "	$$jar is NOT working" ; \
	        fi ; \
	    fi ; \
	 done

clean:
	$(RM) *.manifest *.class *.jar

=== mpe/slog2sdk/trace_aix/Makefile ===
.SUFFIXES:
.SUFFIXES: .h .c .C .o

.c.o:
	xlc $(CFLAGS) -c $<

.C.o:	
	xlC $(CFLAGS) -c $<

ARCH     = aix
RM       = /usr/bin/rm

TRACE_HOME     = /u/noibm04/js4_slog2_ibm5
TRACE_INCDIR   = $(TRACE_HOME)/src/logformat/trace
TRACE_SRCDIR   = $(TRACE_HOME)/src/logformat/trace
TRACE_LIBDIR   = ../lib
TRACE_BINDIR   = ../bin

CSRC     = $(TRACE_SRCDIR)/logformat_trace_InputLog.c \
           ute_input.c ute2slog2_map.c
CSRC4T   = $(TRACE_SRCDIR)/trace_print.c \
           ute_input.c ute2slog2_map.c 
CPPSRC 	 = match.C

OBJ      = $(CSRC:.c=.o)
OBJ4T    = $(CSRC4T:.c=.o)
CPPOBJ   = $(CPPSRC:.C=.o)

CFLAGS     = -I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/$(ARCH) \
             -I$(TRACE_INCDIR) $(COPTS) -D_LARGE_FILES #-D_DEBUG_TRACE_API

LDFLAGS    = -shared

MEMLIBS    = #-lefence

all:	$(TRACE_LIBDIR)/libTraceInput.a $(TRACE_BINDIR)/trace_print.exe

$(TRACE_LIBDIR)/libTraceInput.a: $(OBJ) $(CPPOBJ)
	xlC -bE:JavaTraceInput.exp -bnoentry -o $@ $(OBJ) $(CPPOBJ) \
		-L. -luteutil -lm #-lefence
	chmod 600 $@

$(TRACE_BINDIR)/trace_print.exe: $(OBJ4T) $(CPPOBJ)
	xlC -o $@ $(OBJ4T) $(CPPOBJ) $(MEMLIBS) \
		-L. -luteutil -lm #-lefence

clean:
	$(RM) -f *.o

realclean: clean
	$(RM) -f $(TRACE_LIBDIR)/libTraceInput.a $(TRACE_BINDIR)/trace_print.exe

=== mpe/slog2sdk/doc/jumpshot-4/tex/Makefile ===
--- 
+++ 
@@ -5,7 +5,8 @@
 # LYX pdflatex, latex2html
 LYX        = lyx
 PDFLATEX   = pdflatex
-LATEX2HTML = /usr/local/bin/latex2html
+# LATEX2HTML = /usr/local/bin/latex2html
+LATEX2HTML = latex2html
 
 # basic Unix command
 CP         = /bin/cp

=== debian/changelog ===
mpich (1.2.7-10ubuntu1) precise; urgency=low

  * Set FC_SHARED_OPT explicitly to -fPIC, fixing FTBFS on armhf.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 07 Dec 2011 15:04:36 +0100

mpich (1.2.7-10) unstable; urgency=low

  * Team upload.
  * ACK NMU of Cyril (thanks)
  * Updated standards to 3.9.2
  * Vcs- tag added
  * Package migrated to the Debian Science team
  * Fix the various debhelper-but-no-misc-depends
  * Fix weak-library-dev-dependency libmpich1.0-dev on libmpich1.0gf
  * Fix weak-library-dev-dependency libmpich-mpd1.0-dev on libmpich-mpd1.0gf
  * Fix weak-library-dev-dependency libmpich-shmem1.0-dev on libmpich-shmem1.0gf
  * Switch to dpkg-source 3.0 (quilt) format

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 18 Sep 2011 17:51:58 +0200

mpich (1.2.7-9.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS by adding "-D_GNU_SOURCE" to the CFLAGS in mpid/mpd as
    suggested by Peter Green and Petr Salinger (Closes: #522007):
     - 24_use_gnu_source_for_mpd.dpatch
  * Fix FTBFS on GNU/kFreeBSD by sticking to <termios.h> as specified by
    POSIX, as suggested by Petr Salinger (Closes: #533246):
     - 25_use_posix_termios_interface.dpatch

 -- Cyril Brulebois <kibi@debian.org>  Fri, 03 Jul 2009 22:14:10 +0200

mpich (1.2.7-9) unstable; urgency=low

  * Package is now team-maintained by pkg-scicomp (closes:#447678)
  * Updated standards to 3.8.0
    - added Homepage field
    - set debian/compat to 7 and updated debhelper build dependency accordingly
    - replace call to dh_clean -k by call to dh_prep as suggested by lintian
  * Fix update-alternative settings for libmpich-mpd1.0-dev and
    libmpich-shmem1.0-dev (closes: #512426)
  * Changed doc-base section of mpi-doc
  * fix lintian warning about maintainer scripts ignoring errors

 -- Alexandre Fayolle <afayolle@debian.org>  Mon, 26 Jan 2009 17:12:52 +0100

mpich (1.2.7-8) unstable; urgency=low

  * libmpich1.0-dev conflicts with older mpich-bin because of (formerly
    useless) mpif90 file in /usr/lib/mpich/bin (closes: #476093).
  * Turned upstream patch level 1 into patches/13_upstream_patchlevel1.dpatch
    instead of leaving it in .diff.gz.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Wed, 16 Apr 2008 15:38:49 -0400

mpich (1.2.7-7.1) unstable; urgency=low

  * Non-maintainer upload.
  * New patch 23 to fix configure's g++ tests to include iostream instead of
    iostream.h.  Fixes FTBFS with gcc-4.3.  (Closes: #468068)

 -- James Vega <jamessan@debian.org>  Sun, 09 Mar 2008 00:10:37 -0500

mpich (1.2.7-7) unstable; urgency=low

  * Fixed shared library packages (thanks to Kumar Appaiah) (closes: #465285).

 -- Adam C. Powell, IV <hazelsct@debian.org>  Mon, 11 Feb 2008 18:41:43 -0500

mpich (1.2.7-6) unstable; urgency=low

  * Working gfortran support (thanks to Kumar Appaiah <akumar@ee.iitm.ac.in>).
  * This release also includes mpif90 (closes: #195509).
  * Changed shlib package names to gf reflecting the interface change due to
    the g77-gfortran transition.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Fri, 01 Feb 2008 16:06:59 -0500

mpich (1.2.7-5) unstable; urgency=low

  * debian/rules: Fix bashisms (thanks to Luke Yelavich <themuso@ubuntu.com>)
    (closes: #459110).

 -- Adam C. Powell, IV <hazelsct@debian.org>  Sun, 27 Jan 2008 18:48:54 -0500

mpich (1.2.7-4) unstable; urgency=low

  * Correct Conflicts/Replaces on libmpich1.0c2 (closes: #443787).
  * Add Conflicts/Replaces for -mpd and -shmem variants.
  * Moved MPI_Comm_set_name manpage to mpi-doc-specific filename, added
    alternatives symlink; will eventually close 310688.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Thu,  4 Oct 2007 11:20:17 -0400

mpich (1.2.7-3.1) unstable; urgency=medium

  * NMU
  * Adds Conflicts/Replaces on libmpich1.0c2 to libmpich1.0ldbl
    (Closes: #441882)

 -- Ari Pollak <ari@debian.org>  Sun, 23 Sep 2007 10:53:22 -0400

mpich (1.2.7-3) unstable; urgency=low

  * Corrected alternatives removal in prerm (closes: #306305).
  * Removed clog2slog and upshot links, as these are no longer built
    (closes: #394807).
  * Included patch allowing building on hurd-i386 (closes: #420457).
  * Renamed libraries for long double transition (closes: #430274, #430275,
    #430276).
  * Various changes for updated lintian cleanliness.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Thu,  6 Sep 2007 10:37:56 -0400

mpich (1.2.7-2) unstable; urgency=low

  * Update to upstream patch level 1, contained in .diff.gz.
  * This includes old patch 13 for safely handling spaces in the binary path.
  * New patch 19 required to avoid symbol collision.
  * Rebuild should use new symbols from libc_nonshared.a (closes: #355569).
  * Shared libs conflict with non-c2 old versions (closes: #349430).
  * Corrected mpich-bin.prerm alternative to match postinst (closes: #306305).
  * Removed obsolete clog2slog and upshot symlinks (closes: #346510).
  * Included Petr Salinger's mechanism for updating files from installed
    autotools-dev package (closes: #333001).

 -- Adam C. Powell, IV <hazelsct@debian.org>  Fri,  6 Oct 2006 16:11:53 -0400

mpich (1.2.7-1) unstable; urgency=low

  * Unstable port of sarge backport testbed packages, with much help from NMU
    by Adeodato Simó (closes: #317467, #321052, #321093, #321158).
  * Includes fixes from rejected 1.2.5.3-6 (closes: #306305, #314173, #253422).
  * Change -noslog to c2 in library package names to reflect new C++ ABI.
  * Make sure all mpich shlibs correctly link dependent libs based on patch by
    Adeodato Simó (debian/patches/18...), slightly edited for 1.2.7.
  * Added -f90=gfortran to build Fortran 90 backend, and removed Fortran 90
    disabling code in debian/rules.

 -- Adam C. Powell, IV <hazelsct@debian.org>  Fri, 12 Aug 2005 17:59:03 -0400

mpich (1.2.7-0sarge2) unstable; urgency=low

  * Added generated files in debian/ to rules clean target using a patch by
    Adeodato Simó (will close 321052 upon upload to unstable).


=== debian/control ===
Source: mpich
Section: devel
Priority: extra
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Adam C. Powell IV <hazelsct@debian.org>, Alexandre Fayolle <afayolle@debian.org>
Standards-Version: 3.9.2
Build-Depends: gfortran, rsh-client, libx11-dev, libxt-dev, file, debhelper (>> 7.0.0), dpatch, tk8.4, autotools-dev
Build-Depends-Indep: bzip2
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/mpich/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/mpich/trunk/
Homepage: http://www-unix.mcs.anl.gov/mpi/mpich1/
 


Package: mpich-bin
Architecture: any
Depends: ${shlibs:Depends}, rsh-client, libmpich1.0gf (= ${binary:Version}), ${misc:Depends}
Suggests: mpi-doc, libmpich1.0-dev (= ${binary:Version}), update-cluster, wish, rsh-server
Conflicts: lam (<= 6.1), mpich (<< 1.2.5.3-2), mpich-common
Replaces: mpich-common
Description: MPI parallel computing system implementation
 MPICH is a robust and flexible implementation of the MPI (Message Passing
 Interface).  MPI is often used with parallel or distributed computing
 projects.  MPICH is a multi-platform, configurable system (development,
 execution, libraries, etc) for MPI.  It can achieve parallelism using
 networked machines or using multitasking on a single machine. 
 .
 This version is compiled with ch_p4 support, which only requires installation
 on the master node, and starts up parallel tasks using rsh.

Package: mpich-mpd-bin
Architecture: any
Depends: ${shlibs:Depends}, rsh-client, gdb, libmpich-mpd1.0gf (= ${binary:Version}), ${misc:Depends}
Suggests: mpi-doc, libmpich-mpd1.0-dev (= ${binary:Version}), update-cluster, wish, rsh-server
Conflicts: lam (<=6.1), mpich-mpd (<< 1.2.5.3-2), mpich-common
Replaces: libmpich-p4mpd1.0 (<= 1.2.4-8), mpich-common
Description: MPI parallel computing system implementation, MPD version
 MPICH is a robust and flexible implementation of the MPI (Message Passing
 Interface).  MPI is often used with parallel or distributed computing
 projects.  MPICH is a multi-platform, configurable system (development,
 execution, libraries, etc) for MPI.  It can achieve parallelism using
 networked machines or using multitasking on a single machine. 
 .
 This version is compiled with ch_p4mpd support, which requires mpd daemons
 running on each of the cluster nodes.  This method is faster than ch_p4.

Package: mpich-shmem-bin
Architecture: any
Depends: ${shlibs:Depends}, gdb, libmpich-shmem1.0gf (= ${binary:Version}), ${misc:Depends}
Suggests: mpi-doc, libmpich-shmem1.0-dev (= ${binary:Version})
Conflicts: lam (<=6.1), mpich-common
Replaces: mpich-common
Description: MPI parallel computing system implementation, SHMEM version
 MPICH is a robust and flexible implementation of the MPI (Message Passing
 Interface).  MPI is often used with parallel or distributed computing
 projects.  MPICH is a multi-platform, configurable system (development,
 execution, libraries, etc) for MPI.  It can achieve parallelism using
 networked machines or using multitasking on a single machine. 
 .
 This version is compiled with ch_shmem support, which runs in shared memory.
 This method is faster than ch_p4 or ch_p4mpd on SMP machines, but cannot be
 used on a cluster.

Package: libmpich1.0-dev
Architecture: any
Section: libdevel
Depends: libmpich1.0gf  (= ${binary:Version}), ${misc:Depends}
Suggests: mpi-doc
Provides: libmpich-dev
Conflicts: lam (<= 6.1), mpich (<< 1.2.5.3-2), mpich-common, mpich-bin (<= 1.2.7-5)
Replaces: mpich-common
Description: mpich static libraries and development files
 This package contains the header files, static libraries, symbolic links and
 compiler wrappers (mpicc etc.) used to compile programs using che ch_p4
 version of mpich.

Package: libmpich-mpd1.0-dev
Architecture: any
Section: libdevel
Depends: libmpich-mpd1.0gf (= ${binary:Version}), ${misc:Depends}
Suggests: mpi-doc
Provides: libmpich-dev
Conflicts: lam (<=6.1), mpich-mpd (<< 1.2.5.3-2), mpich-common
Replaces: libmpich-p4mpd1.0 (<= 1.2.4-8), mpich-common
Description: mpich static libraries and development files
 This package contains the header files, static libraries, symbolic links and
 compiler wrappers (mpicc etc.) used to compile programs using the ch_p4mpd
 version of mpich.

Package: libmpich-shmem1.0-dev
Architecture: any
Section: libdevel
Depends: libmpich-shmem1.0gf (= ${binary:Version}), ${misc:Depends}
Suggests: mpi-doc
Provides: libmpich-dev
Conflicts: lam (<=6.1), mpich-shmem (<< 1.2.5.3-2), mpich-common
Replaces: libmpich-p4shmem1.0 (<= 1.2.4-8), mpich-common
Description: mpich static libraries and development files
 This package contains the header files, static libraries, symbolic links and
 compiler wrappers (mpicc etc.) used to compile programs using the ch_p4shmem
 version of mpich.

Package: libmpich1.0gf
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libmpich1.0, libmpich1.0c2, libmpich1.0-noslog, libmpich1.0ldbl
Replaces: libmpich1.0, libmpich1.0c2, libmpich1.0-noslog, libmpich1.0ldbl
Suggests: mpich-bin (= ${binary:Version})
Description: mpich runtime shared library
 This package includes the shared library files used for mpich runtime.

Package: libmpich-mpd1.0gf
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libmpich-p4mpd1.0, libmpich-mpd1.0, libmpich-mpd1.0c2, libmpich-mpd1.0-noslog, libmpich-mpd1.0ldbl
Replaces: libmpich-p4mpd1.0, libmpich-mpd1.0, libmpich-mpd1.0c2, libmpich-mpd1.0-noslog, libmpich-mpd1.0ldbl
Recommends: mpich-mpd-bin (= ${binary:Version})
Description: mpich-mpd runtime shared library
 This package includes the shared library files used for mpich-mpd runtime.

Package: libmpich-shmem1.0gf
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libmpich-shmem1.0, libmpich-shmem1.0c2, libmpich-shmem1.0-noslog, libmpich-shmem1.0ldbl
Replaces: libmpich-shmem1.0, libmpich-shmem1.0c2, libmpich-shmem1.0-noslog, libmpich-shmem1.0ldbl
Recommends: mpich-shmem-bin (= ${binary:Version})
Description: mpich-shmem runtime shared library
 This package includes the shared library files used for mpich-shmem runtime.

Package: mpi-doc
Architecture: all
Section: doc
Priority: optional
Suggests: www-browser
Conflicts: mpich (<<1.1.2), mpich-common, lam4-dev
Description: Documentation for the MPICH MPI implementation and user's guides
 This package provides manual pages in both man and HTML form
 documenting the MPI (Message Passing Interface) parallel programming
 standard as implemented by MPICH, and the user's guides for the transports
 included in binary Debian packages (chp4, chp4mpd, chshmem).
 .
 For the MPI specification, see mpi-specs.

Package: mpe-source
Architecture: all
Section: devel
Priority: extra
Description: Source for MPE, for other package to build-depend
 This package includes the source to MPE, so that 
 other package can build MPE Build-depending in this package.
 .
 MPE is a set of tools to profile MPI (Message Passing Interface) programs,
 and other tools, useful in debugging MPI applications.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the iad of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Also some stuff taken from debmake scripts, by Cristopt Lameter.
# hacking on for MPICH done since 13 June 2000 by Junichi Uekawa
# (dancer@netfort.gr.jp)

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# parameters accepted for DEB_BUILD_OPTIONS: 
#  experimental-shlibs-support
#  debug

INSTALL_DIR=install -m 755 -d 
INSTALL_FILE=install -m 644

CONFIGURE_ENVIRONMENT= RSHCOMMAND=/usr/bin/rsh FC=gfortran F90=gfortran \
	F77_GETARGDECL="intrinsic GETARG" NOG2C=1 FC_SHARED_OPT=-fPIC

CONFIG_SG_DIRS= mpe mpe/slog2sdk mpe/slog2sdk/trace_rlog mpe/slog2sdk/trace_sample \
		examples/perftest/config/confdb src/fortran/config MPI-2-C++ romio/confdb

# checks the environmental variable DEB_BUILD_OPTIONS
ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
CONFIGURE_OPTIONS+= --enable-devdebug --enable-debug 
#--enable-mpedbg  # this kills the build machine very badly with ed.
else
CONFIGURE_OPTIONS+= --disable-devdebug --disable-debug --disable-mpedbg
endif

CONFIGURE_OPTIONS_P4=--with-device=ch_p4 \
	-prefix=/usr/lib/mpich --enable-sharedlib=/usr/lib/mpich/lib/shared/ \
	-mpe_opts="--with-mpelibname=mpe"
CONFIGURE_OPTIONS_MPD=--with-device=ch_p4mpd \
	-prefix=/usr/lib/mpich-mpd -mpilibname=mpich-p4mpd \
	--enable-sharedlib=/usr/lib/mpich-mpd/lib/shared/ \
	-mpe_opts="--with-mpelibname=mpe-p4mpd"
CONFIGURE_OPTIONS_SHMEM=--with-device=ch_shmem \
	-prefix=/usr/lib/mpich-shmem -mpilibname=mpich-shmem \
	--enable-sharedlib=/usr/lib/mpich-shmem/lib/shared/ \
	-mpe_opts="--with-mpelibname=mpe-shmem"

include /usr/share/dpatch/dpatch.make

build: build-stamp
build-stamp: patch-stamp
	dh_testdir
	for CFGAUXDIR in $(CONFIG_SG_DIRS) ; do \
	    cp -f /usr/share/misc/config.sub $$CFGAUXDIR ; \
	    cp -f /usr/share/misc/config.guess $$CFGAUXDIR ; \
	done
	# make mpich normal
	(test -d image_mpich || mkdir image_mpich; cd image_mpich && \
	$(CONFIGURE_ENVIRONMENT) ../configure $(CONFIGURE_OPTIONS_P4) && \
	F77_GETARGDECL="intrinsic GETARG" $(MAKE) )
	# make mpich MPD version
	(test -d image_mpich-mpd || mkdir image_mpich-mpd; \
	cd image_mpich-mpd && \
	$(CONFIGURE_ENVIRONMENT) ../configure $(CONFIGURE_OPTIONS_MPD) && \
	F77_GETARGDECL="intrinsic GETARG" $(MAKE) )
	# make mpich SHMEM version
	(test -d image_mpich-shmem || mkdir image_mpich-shmem; \
	cd image_mpich-shmem && \
	$(CONFIGURE_ENVIRONMENT) ../configure $(CONFIGURE_OPTIONS_SHMEM) && \
	F77_GETARGDECL="intrinsic GETARG" $(MAKE) )
	# make some debhelper files.
	(set -e; for INST in mpich mpich-mpd mpich-shmem ; do \
	  for FILES in dirs preinst postinst prerm links; do \
	    sed 's/#MPICH#/'$$INST'/g' < debian/mpich-bin.$$FILES.in >debian/$$INST-bin.$$FILES;\
	    done;\
	  for FILES in postinst prerm links; do \
	    sed 's/#MPICH#/'$$INST'/g' < debian/libmpich1.0-dev.$$FILES.in >debian/lib"$$INST"1.0-dev.$$FILES;\
	    done;\
	  done;\
	 sed -i 's/\(.*lib.*\)mpich-mpd\([^/]\)/\1mpich-p4mpd\2/' debian/libmpich-mpd1.0-dev.postinst;\
	)
	echo usr/lib/mpich-mpd/bin/mpichboot usr/bin/mpichboot >> debian/mpich-mpd-bin.links
	echo usr/lib/mpich-mpd/bin/mpichstop usr/bin/mpichstop >> debian/mpich-mpd-bin.links
	echo usr/share/man/man7/undocumented.7.gz usr/share/man/man1/mpichboot.1.gz >> debian/mpich-mpd-bin.links
	echo usr/share/man/man7/undocumented.7.gz usr/share/man/man1/mpichstop.1.gz >> debian/mpich-mpd-bin.links
	touch build-stamp

clean: unpatch
	dh_testdir
	dh_testroot
	for CFGAUXDIR in $(CONFIG_SG_DIRS) ; do \
	    rm -f $$CFGAUXDIR/config.sub ; \
	    rm -f $$CFGAUXDIR/config.guess ; \
	done
	rm -f build-stamp install-stamp
	# clean up the build directory
	(set -e; for INST in mpich mpich-mpd mpich-shmem ; do \
	  for FILES in dirs preinst postinst prerm links doc-base; do \
	    rm -f debian/$$INST-bin.$$FILES;\
	  done;\
	done;\
	)
	for INST in mpich mpich-mpd mpich-shmem; do \
	  for FILES in postinst prerm links; do \
	    rm -f debian/lib$${INST}1.0-dev.$$FILES; \
	  done; \
	done
	rm -rf image_mpich image_mpich-mpd image_mpich-shmem
	# cleaning cruft created by MPD.
	rm -f mpid/ch_p4mpd/p4mpd/lib/p4_MD.c mpid/ch_p4mpd/p4mpd/lib/p4_MD.h mpid/ch_p4mpd/p4mpd/lib/p4_alloc.c mpid/ch_p4mpd/p4mpd/lib/p4_args.c mpid/ch_p4mpd/p4mpd/lib/p4_broadcast.c mpid/ch_p4mpd/p4mpd/lib/p4_debug.c mpid/ch_p4mpd/p4mpd/lib/p4_defs.h mpid/ch_p4mpd/p4mpd/lib/p4_funcs.h mpid/ch_p4mpd/p4mpd/lib/p4_error.c mpid/ch_p4mpd/p4mpd/lib/p4_rm.c mpid/ch_p4mpd/p4mpd/lib/p4_secure.c mpid/ch_p4mpd/p4mpd/lib/p4_sock_conn.c mpid/ch_p4mpd/p4mpd/lib/p4_sock_cr.c mpid/ch_p4mpd/p4mpd/lib/p4_sock_sr.c mpid/ch_p4mpd/p4mpd/lib/p4_sock_util.c mpid/ch_p4mpd/p4mpd/lib/p4_sock_util.h mpid/ch_p4mpd/p4mpd/lib/p4_sys.h mpid/ch_p4mpd/p4mpd/lib/p4_sys_funcs.h mpid/ch_p4mpd/p4mpd/lib/xdr_float.c mpid/ch_p4mpd/p4mpd/lib/listener_p4.c mpid/ch_p4mpd/p4mpd/lib/p4.h mpid/ch_p4mpd/p4mpd/lib/p4_fc.c mpid/ch_p4mpd/p4mpd/lib/p4_globals.c mpid/ch_p4mpd/p4mpd/lib/p4_globals.h mpid/ch_p4mpd/p4mpd/lib/p4_macros.h mpid/ch_p4mpd/p4mpd/lib/p4_mon.c mpid/ch_p4mpd/p4mpd/lib/p4_mon.h mpid/ch_p4mpd/p4mpd/lib/p4_patchlevel.h mpid/ch_p4mpd/p4mpd/lib/p4_procgroup.c mpid/ch_p4mpd/p4mpd/lib/p4_shmem_sr.c mpid/ch_p4mpd/p4mpd/lib/p4_sr.h mpid/ch_p4mpd/p4mpd/lib/sfcdchi.h mpid/ch_p4mpd/p4mpd/lib/makefile.proto mpid/ch_p4mpd/p4mpd/monitors mpid/ch_p4mpd/p4mpd/CHANGES mpid/ch_p4mpd/p4mpd/MACHINES mpid/ch_p4mpd/p4mpd/OPTIONS mpid/ch_p4mpd/p4mpd/README mpid/ch_p4mpd/p4mpd/config.guess mpid/ch_p4mpd/p4mpd/defs.all mpid/ch_p4mpd/p4mpd/p4_config.h.in mpid/ch_p4mpd/p4mpd/configure mpid/ch_p4mpd/p4mpd/configure.in  mpid/ch_p4mpd/p4mpd/alog mpid/ch_p4mpd/p4mpd/bin mpid/ch_p4mpd/p4mpd/servers  mpid/ch_p4mpd/p4mpd/usc mpid/ch_p4mpd/p4mpd/doc mpid/ch_p4mpd/p4mpd/messages mpid/ch_p4mpd/p4mpd/contrib mpid/ch_p4mpd/p4mpd/contrib_f mpid/ch_p4mpd/p4mpd/messages_f mpid/ch_p4mpd/p4mpd/misc
	# cleaning mpe things
	rm -f mpe/tmp/config.log
	dh_clean

install: install-stamp 
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# make them sh +ex for debugging.

	# install the normal version.
	(cd image_mpich && \
	DESTDIR=$(CURDIR)/debian/mpich-bin/ /bin/sh -e bin/mpiinstall \
	)
	# install the ch_p4mpd version
	(cd image_mpich-mpd && \
	DESTDIR=$(CURDIR)/debian/mpich-mpd-bin/ /bin/sh -e bin/mpiinstall \
	)
	# install the ch_shmem version
	(cd image_mpich-shmem && \
	DESTDIR=$(CURDIR)/debian/mpich-shmem-bin/ /bin/sh -e bin/mpiinstall \
	)

	# NOW: We have all the dirs up, and working.

	# this is bulky... and scary. Fixes script paths.
	sh debian/fixup.sh

	# Move docs into mpi-doc
	cp -a debian/mpich-bin/usr/lib/mpich/doc/* \
	  debian/mpich-bin/usr/lib/mpich/www \
	  debian/mpi-doc/usr/share/doc/mpi-doc/
	cp -a debian/mpich-bin/usr/lib/mpich/man/man3 \
	  debian/mpich-bin/usr/lib/mpich/man/man4 \
	  debian/mpi-doc/usr/share/man/
	cp doc/mpichman-chp4.pdf doc/mpichman-chp4mpd.pdf \
	  doc/mpichman-chshmem.pdf debian/mpi-doc/usr/share/doc/mpi-doc/
	# Avoid conflict with lam4-dev MPI_Comm_set_name manpage (see postinst)
	mv debian/mpi-doc/usr/share/man/man3/MPI_Comm_set_name.3 \
	  debian/mpi-doc/usr/share/man/man3/MPI_Comm_set_name_mpi-doc.3

	# fix things up for MPICH ... it installs files in a very ugly way
	# -- make a config file DEBIAN WAY
	# and other misc stuff is done here.
	(set -e; for INST in mpich mpich-mpd mpich-shmem ; do \
	  cp debian/machines.LINUX debian/$$INST-bin/etc/$$INST/machines.LINUX;\
	  rm -f debian/$$INST-bin/usr/lib/$$INST/share/machines.LINUX;\
	  rm -f debian/$$INST-bin/usr/lib/$$INST/share/Makefile.sample;\
	  for A in mpiuninstall chkserv ; do rm -f debian/$$INST-bin/usr/lib/$$INST/sbin/$$A; done;\
	  rm -rf debian/$$INST-bin/usr/lib/$$INST/doc;\
	  rm -rf debian/$$INST-bin/usr/lib/$$INST/html;\
	  rm -rf debian/$$INST-bin/usr/lib/$$INST/man/man3;\
	  rm -rf debian/$$INST-bin/usr/lib/$$INST/man/man4;\
	  rm -rf debian/$$INST-bin/usr/lib/$$INST/www;\

=== debian/watch ===
version=3
ftp://ftp.mcs.anl.gov/pub/mpi/mpich-(.+)\.tar\.gz

## mpich 3.0.4

=== src/mpi/romio/doc/Makefile ===
all:
	latex users-guide.tex
	bibtex users-guide
	latex users-guide.tex
	latex users-guide.tex
	dvipdfm users-guide

clean:
	-rm -f users-guide.toc users-guide.log users-guide.dvi \
	       users-guide.aux users-guide.bbl users-guide.ps \
               users-guide.blg

=== debian/changelog ===
mpich (3.0.4-6ubuntu1) trusty; urgency=medium

  * Autoreconf all subprojects.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 21 Dec 2013 12:33:06 +0000

mpich (3.0.4-6) unstable; urgency=low

  [ Torquil Macdonald Sørensen ]
  * [f635e5e] Removed valgrind from Build-Depends on armel architecture. 
    (Closes: #729140)

  [ Anton Gladky ]
  * [33add7a] Add --disable-wrapper-rpath to escape RPATH-setting. 
    Thanks to Nicholas Breen <nbreen@debian.org>. (Closes: #724864)

 -- Anton Gladky <gladk@debian.org>  Sun, 24 Nov 2013 21:59:37 +0100

mpich (3.0.4-5) unstable; urgency=low

  * [95eabf3] Remove conflicts/replaces in libmpich10.
  * [d2df217] Disable auto-test on hurd-i386.

 -- Anton Gladky <gladk@debian.org>  Wed, 02 Oct 2013 21:37:01 +0200

mpich (3.0.4-4) unstable; urgency=low

  * [418fc26] Disable LL/SC ABA test, as it fails on armhf. (Closes: #722007)

 -- Anton Gladky <gladk@debian.org>  Mon, 30 Sep 2013 22:43:50 +0200

mpich (3.0.4-3) unstable; urgency=low

  * [090aeef] Add Break/Replaces for libmpich1.0-dev. (Closes: #722666)
  * [abf7347] Add Break/Replaces for mpich-bin. (Closes: #722667)

 -- Anton Gladky <gladk@debian.org>  Tue, 17 Sep 2013 19:42:55 +0200

mpich (3.0.4-2) unstable; urgency=low

  * Rename libmpich10.symbols to libmpich10.symbols.amd64.

 -- Torquil Macdonald Sørensen <torquil@gmail.com>  Fri, 06 Sep 2013 00:35:46 +0200

mpich (3.0.4-1) unstable; urgency=low

  [ Lucas Nussbaum ]
  * Remove myself from Uploaders.

  [ Torquil Macdonald Sørensen ]
  * New upstream release.
  * Rename package to mpich.
  * Added dummy transitional packages for all except shared library package.
  * Removed unnecessary additions to clean target in rules.
  * Name change modifications to lintian-overrides, README.Debian, copyright.
  * Added NEWS file.

  [ Anton Gladky ]
  * Build pdf-files during the build-process.

 -- Torquil Macdonald Sørensen <torquil@gmail.com>  Thu, 15 Aug 2013 09:53:03 +0200

mpich2 (1.5~b1-1) unstable; urgency=low

  * New upstream (beta) release.

 -- Lucas Nussbaum <lucas@debian.org>  Mon, 04 Jun 2012 15:26:51 +0200

mpich2 (1.4.1-4.2) unstable; urgency=high

  * Non-maintainer upload.
  * debian/patches/fix_segfault.patch: New patch, fixes a segfault in
    HYDU_get_abs_wd() if the requested executable is not available, taken from
    upstream changeset 8d5444. Closes: #683226, #683217.

 -- Michael Banck <mbanck@debian.org>  Fri, 12 Apr 2013 13:46:26 +0200

mpich2 (1.4.1-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Enable use of gcc primitives on sparc, fixing a build failure.
    Closes: #660259.

 -- Steve Langasek <vorlon@debian.org>  Mon, 17 Dec 2012 01:06:08 +0000

mpich2 (1.4.1-4) unstable; urgency=low

  * Removed s390 from valgrind-supported arches.
  * Added to clean files list.

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Thu, 02 Feb 2012 13:54:30 -0500

mpich2 (1.4.1-3) unstable; urgency=low

  [ Adam C. Powell, IV ]
  * Corrected lintian overrides for uploader name.

  [ Nobuhiro Iwamatsu ]
  * Build-Depends on valgrind only on supported arches (closes: #658066).

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Thu, 02 Feb 2012 11:09:04 -0500

mpich2 (1.4.1-2) unstable; urgency=low

  * New uploader Adam C. Powell, IV -- with lintian override regarding name.
  * Link shared libraries with their dependencies (closes: #653616).
  * Add valgrind to Build-Depends for PLPA.

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Thu, 26 Jan 2012 15:19:17 -0500

mpich2 (1.4.1-1) unstable; urgency=low

  * New upstream release.
  * Removed the now unneeded fix-hwloc.patch.
  * Include new DESTDIR patch. Thanks Eric A. Borisch.
  * Also fix paths in /etc/mpich2/*.conf and /usr/bin/mpi{cc,cxx,f77,f90}.mpich.
    Also thanks Eric A. Borisch. Fixed using sed-replacements in debian/rules.
  * Improve cleaning of source directory in debian/rules.
  * Remove unneeded /usr/lib/libopa.la

 -- Torquil Macdonald Sørensen <torquil@gmail.com>  Fri, 26 Aug 2011 17:50:52 +0200

mpich2 (1.4-1) unstable; urgency=low

  * New upstream release
  * Added patch fix-hwloc.patch (upstream changeset #8696)
    to fix upstream issue #1507
  * Make mpif90 use gfortran instead of f95 (Closes: #630675)

 -- Torquil Macdonald Sørensen <torquil@gmail.com>  Tue, 19 Jul 2011 16:36:49 +0200

mpich2 (1.4~rc2-3) unstable; urgency=low

  * Add links for /usr/lib/mpich2/{include,lib}. Patch from Nicholas Breen.
    Closes: #626429
  * Bump Standards-Version to 3.9.2. No changes needed.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Fri, 20 May 2011 18:04:57 +0200

mpich2 (1.4~rc2-2) unstable; urgency=low

  [ Lucas Nussbaum ]
  * Add Torquil Macdonald Sørensen to Uploaders.

  [ Torquil Macdonald Sørensen ]
  * Don't let Debian buildflags influence runtime MPICH2 compiler flags.
    Users must specify optimization and/or debug flags themselves when
    using mpicc, mpicxx etc, just like for gcc, g++ etc. Closes: #624349

 -- Torquil Macdonald Sørensen <torquil@gmail.com>  Fri, 06 May 2011 14:28:44 +0200

mpich2 (1.4~rc2-1) unstable; urgency=low

  * New upstream snapshot.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Sat, 09 Apr 2011 13:39:27 +0200

mpich2 (1.4~rc1-2) unstable; urgency=low

  * libmipch2-3: Add Conflicts, Replaces: libmpich2-2. A better long-term
    solution might be to split that binary package into 6(!) binary packages
    (one of each shared lib). Closes: #620206

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Thu, 31 Mar 2011 08:38:44 +0200

mpich2 (1.4~rc1-1) unstable; urgency=low

  * New upstream release.
  * A rebuild probably closes: #617283.
  * Add --with-hydra-ckpointlib=blcr to configure. Closes: #617879.
  * Renamed libmpich2-1.2 to libmpich2-3.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Tue, 29 Mar 2011 21:21:28 +0200

mpich2 (1.3.3~rc1-1) unstable; urgency=low

  * New upstream release. Closes: #576712.
  * Limit libcr-dev dependency to architectures where it is actually
    available.
  * Switch to 3.0 (quilt).



=== debian/control ===
Source: mpich
Section: devel
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Anton Gladky <gladk@debian.org>,
 Torquil Macdonald Sørensen <torquil@gmail.com>,
 "Adam C. Powell, IV" <hazelsct@debian.org>
Build-Depends:
 automake,
 debhelper (>= 9),
 default-jdk,
 dh-autoreconf,
 gfortran,
 hwloc-nox,
 libcr-dev [amd64 armel i386 powerpc],
 libhwloc-dev,
 libxt-dev,
 procps,
 quilt,
 txt2man,
 valgrind [i386 amd64 powerpc armhf],
 x11proto-core-dev
Build-Depends-Indep:
 texlive-latex-extra,
 texlive-latex-recommended,
 doxygen-latex
Standards-Version: 3.9.4
Homepage: http://www.mpich.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/mpich.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/mpich.git

Package: libmpich-dev
Architecture: any
Section: libdevel
Depends:
 gfortran,
 g++,
 libcr-dev [amd64 armel i386 powerpc],
 libmpich10 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Conflicts:
 libmpich2-dev (<< 3.0.4-1)
Breaks:
 libmpich1.0-dev
Replaces:
 libmpich1.0-dev
Recommends:
 mpich (= ${binary:Version})
Description: Development files for MPICH
 MPICH is a high-performance and widely portable implementation of the
 Message Passing Interface (MPI) standard (both MPI-1 and MPI-2). It
 efficiently supports different computation and communication platforms
 including commodity clusters, SMPs, massively parallel systems, and
 high-speed networks.
 .
 This package includes the MPICH headers and static libraries, as well
 as the compiler wrappers needed to build MPICH programs.

Package: libmpich10
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends:
 ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Shared libraries for MPICH
 MPICH is a high-performance and widely portable implementation of the
 Message Passing Interface (MPI) standard (both MPI-1 and MPI-2). It
 efficiently supports different computation and communication platforms
 including commodity clusters, SMPs, massively parallel systems, and
 high-speed networks.
 .
 This package includes the MPICH shared libraries.

Package: libmpich2-dev
Architecture: any
Section: libdevel
Depends:
 libmpich-dev (= ${binary:Version}),
 ${misc:Depends}
Description: Transitional dummy package for MPICH development files
 This is a dummy package for the transition from libmpich2-dev to
 libmpich-dev. It can safely be removed if nothing else depends on it.

Package: mpich
Architecture: any
Depends:
 hwloc-nox | hwloc,
 libmpich10 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Conflicts:
 mpich2 (<< 3.0.4-1)
Breaks:
 mpich-bin
Replaces:
 mpich-bin
Recommends:
 libmpich-dev (= ${binary:Version})
Suggests:
 blcr-util,
 mpich-doc (= ${source:Version})
Description: Implementation of the MPI Message Passing Interface standard
 MPICH is a high-performance and widely portable implementation of the
 Message Passing Interface (MPI) standard (both MPI-1 and MPI-2). It
 efficiently supports different computation and communication platforms
 including commodity clusters, SMPs, massively parallel systems, and
 high-speed networks.
 .
 This package includes the program binaries necessary to run MPICH programs.

Package: mpich-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends}
Conflicts:
 lam-mpidoc,
 lam4-dev,
 mpi-doc,
 mpich2-doc (<< 3.0.4-1),
 openmpi-doc,
 openmpi-mpidoc
Description: Documentation for MPICH
 MPICH is a high-performance and widely portable implementation of the
 Message Passing Interface (MPI) standard (both MPI-1 and MPI-2). It
 efficiently supports different computation and communication platforms
 including commodity clusters, SMPs, massively parallel systems, and
 high-speed networks.
 .
 This package includes the MPICH documentation.

Package: mpich2
Architecture: any
Depends:
 mpich (= ${binary:Version}),
 ${misc:Depends}
Description: Transitional dummy package
 This is a dummy package for the transition from mpich2 to mpich. It can
 safely be removed if nothing else depends on it.

Package: mpich2-doc
Architecture: all
Section: doc
Depends:
 mpich-doc (= ${binary:Version}),
 ${misc:Depends}
Description: Transitional dummy package for MPICH documentation
 This is a dummy package for the transition from mpich2-doc to mpich-doc. It can
 safely be removed if nothing else depends on it.

=== debian/rules ===
#! /usr/bin/make -f
%:
	dh $@  --parallel --with autoreconf

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export MPICHLIB_CFLAGS=$(shell dpkg-buildflags --get CFLAGS)
export MPICHLIB_CXXFLAGS=$(shell dpkg-buildflags --get CXXFLAGS)
export MPICHLIB_FFLAGS=$(shell dpkg-buildflags --get FFLAGS)
export MPICHLIB_FCFLAGS=$(shell dpkg-buildflags --get FFLAGS)
export FC=gfortran
export F77=gfortran

extra_flags += \
	--enable-shared \
	--prefix=/usr \
	--enable-fc \
	--disable-rpath \
  --disable-wrapper-rpath \
	--sysconfdir=/etc/mpich \
	--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
	--includedir=/usr/include/mpich \
	--docdir=/usr/share/doc/mpich \
	--with-hwloc-prefix=system

# BLCR checkpointing support
ifneq (,$(findstring $(DEB_HOST_ARCH),amd64 armel i386 powerpc))
	extra_flags += --enable-checkpointing --with-hydra-ckpointlib=blcr
endif

# On sparc and sh4, OPA isn't available, so we need to fallback to
# emulation mode. There's a performance penalty, unfortunately.
ifneq (,$(findstring $(DEB_HOST_GNU_CPU),sparc sh4))
	extra_flags += --with-atomic-primitives=no
endif

override_dh_autoreconf:
	dh_autoreconf
	autoreconf -f -i src/mpl src/openpa src/mpi/romio src/pm/hydra

override_dh_auto_configure:
	dh_auto_configure -- $(extra_flags)

override_dh_auto_build-indep:
	dh_auto_build -i
	cd $(CURDIR)/doc/installguide; rm *.pdf; $(MAKE) install.pdf
	cd $(CURDIR)/doc/logging; rm *.pdf; $(MAKE) logging.pdf
	cd $(CURDIR)/doc/smpd; rm *.pdf; $(MAKE) smpd_pmi.pdf
	cd $(CURDIR)/doc/userguide; rm *.pdf; $(MAKE) user.pdf

override_dh_auto_install-arch:
	dh_auto_install -a
	for i in mpicc mpicxx mpif77 mpif90; do \
	  (cd debian/tmp/usr/bin/ && mv $$i $$i.mpich); \
	  (cd debian/tmp/usr/share/man/man1/ && mv $$i.1 $$i.mpich.1);\
	done
	# Fix incorrect paths in /usr/bin/mpi{cc,cxx,f77,f90}.mpich
	for fn in debian/tmp/usr/bin/mpicc.mpich debian/tmp/usr/bin/mpicxx.mpich \
		debian/tmp/usr/bin/mpif77.mpich debian/tmp/usr/bin/mpif90.mpich; do \
		sed -i 's:$(CURDIR)/debian/tmp/::g' $$fn ;\
	done
	mv debian/tmp/usr/share/man/man1/mpiexec.1 debian/tmp/usr/share/man/man1/mpiexec.mpich.1

override_dh_installchangelogs:
	dh_installchangelogs README

# Correct lib*.so multiarch paths in libmpich-dev.postinst
override_dh_installdeb:
	dh_installdeb
	sed -i 's:TRIPLET:$(DEB_HOST_MULTIARCH):g' debian/libmpich-dev/DEBIAN/postinst

# Some tests are failing on hurd-i386.
# Disable them, to be investiated later
disable_test_archs = hurd-i386
ifneq (,$(filter $(DEB_HOST_ARCH),$(disable_test_archs)))
override_dh_auto_test:

endif

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
opts="dversionmangle=s/\+dfsg\.\d+$//" http://www.mpich.org/downloads .*/mpich-(.*)\.tar\.gz
